
#include <windows.h>
#include <sapi.h>
#include <stdio.h>

ISpVoice * pVoice = NULL;
bool DoSpeech = false;

bool glutils::InitVoice()
{
	
	if (FAILED(::CoInitialize(NULL)))
	return FALSE;
	HRESULT hr = CoCreateInstance(CLSID_SpVoice, NULL, CLSCTX_ALL, IID_ISpVoice, (void **)&pVoice);
	if( !SUCCEEDED( hr ) )
	return FALSE;
	DoSpeech = true;
	return TRUE;
}

void glutils::FreeVoice()
{
	
	if (DoSpeech)
	{
	pVoice->Release();
	pVoice = NULL;
	::CoUninitialize();
	}
	
}

void glutils::Speek(LPCWSTR speech)
{
	if (DoSpeech)
		pVoice->Speak(speech, SPF_ASYNC | SPF_IS_XML, NULL);
}

